// --------------------------------------------------------------------
//			Item Fuzzy Logik For WoP-Bot: Unzahm der Grausige
//
//								by Hectic
// --------------------------------------------------------------------


// load item descriptors
#include "inv.h"

// weights for power up's
#define W_PADPOWER				500
#define W_CLIMBER				0
#define W_SPEEDY				50
#define W_JUMPER				0
#define W_VISIONLESS			60
#define W_REVIVAL				500
#define W_FLOATER				50
#define W_KILLERDUCKS			50
#define W_BAMBAM				0
#define W_BOOMIE				0

// initial weapon weights
#define W_PUNCHY				0
#define W_NIPPER				0
#define W_PUMPER				60
#define W_BALLOONY				50
#define W_BETTY					50
#define W_BOASTER				50
#define W_SPLASHER				1000
#define W_BUBBLEG				800
#define W_IMPERIUS				50
#define W_INJECTOR				0
#define W_SPRAYPISTOL			0

// weapon weights if they already in hold
#define W_PUNCHY_2				50
#define W_NIPPER_2				50
#define W_PUMPER_2				50
#define W_BALLOONY_2			50
#define W_BETTY_2				50
#define W_BOASTER_2				50
#define W_SPLASHER_2			50
#define W_BUBBLEG_2				50
#define W_IMPERIUS_2			50
#define W_INJECTOR_2			0
#define W_SPRAYPISTOL_2			0

// ammo weights
#define W_NIPPERAMMO			40
#define W_PUMPERAMMO			50
#define W_BALLOONYAMMO			50
#define W_BETTYAMMO				50
#define W_BOASTERAMMO			50
#define W_SPLASHERAMMO			50
#define W_BUBBLEGAMMO			60
#define W_IMPERIUSAMMO			40

// armor
#define W_PADSHIELD				1000
#define W_PADSHARD				60

// team items
#define W_SPRAY_B				50
#define W_SPRAY_R				50
#define W_SPRAY_N				50
#define W_BLUELOLLY				50
#define W_REDLOLLY				50

// ------------------
//	fuzzy team items
// ------------------
weight "ammo_spray_b"
{
	switch(INVENTORY_SPRAYPISTOLAMMO)
	{
		case 1: return $evalint( W_SPRAY_B * 1.0 );
		case 2: return $evalint( W_SPRAY_B * 0.5 );
		case 8: return $evalint( W_SPRAY_B * 0.1 );
		default: return W_SPRAY_B;
	}
}

weight "ammo_spray_r"
{
	switch(INVENTORY_SPRAYPISTOLAMMO)
	{
		case 1: return $evalint( W_SPRAY_R * 1.0 );
		case 2: return $evalint( W_SPRAY_R * 0.5 );
		case 8: return $evalint( W_SPRAY_R * 0.1 );
		default: return W_SPRAY_R;
	}
}

weight "ammo_spray_n"
{
	switch(INVENTORY_SPRAYPISTOLAMMO)
	{
		case 1: return $evalint( W_SPRAY_N * 1.0 );
		case 2: return $evalint( W_SPRAY_N * 0.5 );
		case 8: return $evalint( W_SPRAY_N * 0.1 );
		default: return W_SPRAY_N;
	}
}

weight "team_CTL_redlolly"
{ 
	return W_REDLOLLY;
}

weight "team_CTL_bluelolly"
{
	return W_BLUELOLLY;
}


// -------------
//	fuzzy armor
// -------------
weight "item_armor_shard"
{
	return W_PADSHARD;
}

weight "item_armor_padshield"
{
	return W_PADSHIELD;
}


// -----------------
//	fuzzy holdables
// -----------------
weight "holdable_killerducks"
{
	switch(INVENTORY_KILLERDUCKS)
	{
		case 1:
		{
			switch(INVENTORY_FLOATER)
			{
				case 1:
				{
					switch(INVENTORY_BAMBAM)
					{
						case 1:
						{
							switch(INVENTORY_BOOMIE)
							{
								case 1: return W_KILLERDUCKS;
								default: return 0;
							}
						}
						default: return 0;
					}
				}
				default: return 0;
			}
		}
		default: return 0;
	}
}

weight "holdable_floater"
{
	switch(INVENTORY_KILLERDUCKS)
	{
		case 1:
		{
			switch(INVENTORY_FLOATER)
			{
				case 1:
				{
					switch(INVENTORY_BAMBAM)
					{
						case 1:
						{
							switch(INVENTORY_BOOMIE)
							{
								case 1: return W_FLOATER;
								default: return 0;
							}
						}
						default: return 0;
					}
				}
				default: return 0;
			}
		}
		default: return 0;
	}
}

weight "holdable_bambam"
{
	switch(INVENTORY_KILLERDUCKS)
	{
		case 1:
		{
			switch(INVENTORY_FLOATER)
			{
				case 1:
				{
					switch(INVENTORY_BAMBAM)
					{
						case 1:
						{
							switch(INVENTORY_BOOMIE)
							{
								case 1: return W_BAMBAM;
								default: return 0;
							}
						}
						default: return 0;
					}
				}
				default: return 0;
			}
		}
		default: return 0;
	}
}

weight "holdable_boomies"
{
	switch(INVENTORY_KILLERDUCKS)
	{
		case 1:
		{
			switch(INVENTORY_FLOATER)
			{
				case 1:
				{
					switch(INVENTORY_BAMBAM)
					{
						case 1:
						{
							switch(INVENTORY_BOOMIE)
							{
								case 1: return W_BOOMIE;
								default: return 0;
							}
						}
						default: return 0;
					}
				}
				default: return 0;
			}
		}
		default: return 0;
	}
}


// ------------------
//	fuzzy power up's
// ------------------

weight "item_revival"
{
	return W_REVIVAL;
}

weight "item_visionless"
{
	return W_VISIONLESS;
}

weight "item_jumper"
{
	return W_JUMPER;
}

weight "item_speedy"
{
	return W_SPEEDY;
}

weight "item_climber"
{
	return W_CLIMBER;
}

weight "item_padpower"
{
	return W_PADPOWER;
}


// ---------------
//	fuzzy weapons
// ---------------
weight "weapon_nipper"
{
	switch(INVENTORY_NIPPER)
	{
		case 1: return W_NIPPER;
		default: return W_NIPPER_2;
	}
}

weight "weapon_pumper"
{
	switch(INVENTORY_PUMPER)
	{
		case 1: return W_PUMPER;
		default: return W_PUMPER_2;
	}
}

weight "weapon_balloony"
{
	switch(INVENTORY_BALLOONY)
	{
		case 1: return W_BALLOONY;
		default: return W_BALLOONY_2;
	}
}

weight "weapon_betty"
{
	switch(INVENTORY_BETTY)
	{
		case 1: return W_BETTY;
		default: return W_BETTY_2;
	}
}

weight "weapon_boaster"
{
	switch(INVENTORY_BOASTER)
	{
		case 1: return W_BOASTER;
		default: return W_BOASTER_2;
	}
}

weight "weapon_splasher"
{
	switch(INVENTORY_SPLASHER)
	{
		case 1: return W_SPLASHER;
		default: return W_SPLASHER_2;
	}
}

weight "weapon_bubbleg"
{
	switch(INVENTORY_BUBBLEG)
	{
		case 1: return W_BUBBLEG;
		default: return W_BUBBLEG_2;
	}
}

weight "weapon_imperius"
{
	switch(INVENTORY_IMPERIUS)
	{
		case 1: return W_IMPERIUS;
		default: return W_IMPERIUS_2;
	}
}

weight "weapon_spraypistol"
{
	switch(INVENTORY_SPRAYPISTOL)
	{
		case 1: return W_SPRAYPISTOL;
		default: return W_SPRAYPISTOL_2;
	}
}

weight "weapon_punchy"
{
	switch(INVENTORY_PUNCHY)
	{
		case 1: return W_PUNCHY;
		default: return W_PUNCHY_2;
	}
}

weight "item_botroam"{ return 1; }


// ------------
//	fuzzy ammo
// ------------
weight "ammo_nipper"
{
	switch(INVENTORY_NIPPERAMMO)
	{
		case 1: return W_NIPPERAMMO;
		case 20: return $evalfloat( W_NIPPERAMMO * 0.9 );
		case 50: return $evalfloat( W_NIPPERAMMO * 0.8 );
		case 100: return $evalfloat( W_NIPPERAMMO * 0.5 );
		default: return 5;
	}
}

weight "ammo_pumper"
{
	switch(INVENTORY_PUMPERAMMO)
	{
		case 1: return W_PUMPERAMMO;
		case 20: return $evalfloat( W_PUMPERAMMO * 0.9 );
		case 50: return $evalfloat( W_PUMPERAMMO * 0.8 );
		case 100: return $evalfloat( W_PUMPERAMMO * 0.7 );
		default: return 5;
	}
}

weight "ammo_balloony"
{
	switch(INVENTORY_BALLOONY)
	{
		case 1: return W_BALLOONYAMMO;
		case 20: return $evalfloat( W_BALLOONYAMMO * 0.9 );
		case 50: return $evalfloat( W_BALLOONYAMMO * 0.8 );
		case 100: return $evalfloat( W_BALLOONYAMMO * 0.7 );
		default: return 5;
	}
}

weight "ammo_betty"
{
	switch(INVENTORY_BETTYAMMO)
	{
		case 1: return W_BETTYAMMO;
		case 20: return $evalfloat( W_BETTYAMMO * 0.9 );
		case 50: return $evalfloat( W_BETTYAMMO * 0.8 );
		case 100: return $evalfloat( W_BETTYAMMO * 0.7 );
		default: return 5;
	}
}

weight "ammo_boaster"
{
	switch(INVENTORY_BOASTERAMMO)
	{
		case 1: return W_BOASTERAMMO;
		case 50: return $evalfloat( W_BOASTERAMMO * 0.9 );
		case 100: return $evalfloat( W_BOASTERAMMO * 0.8 );
		case 150: return $evalfloat( W_BOASTERAMMO * 0.7 );
		default: return 5;
	}
}

weight "ammo_splasher"
{
	switch(INVENTORY_SPLASHERAMMO)
	{
		case 1: return W_SPLASHERAMMO;
		case 20: return $evalfloat( W_SPLASHERAMMO * 0.9 );
		case 50: return $evalfloat( W_SPLASHERAMMO * 0.8 );
		case 100: return $evalfloat( W_SPLASHERAMMO * 0.5 );
		default: return 5;
	}
}

weight "ammo_bubbleg"
{
	switch(INVENTORY_BUBBLEGAMMO)
	{
		case 1: return W_BUBBLEGAMMO;
		case 50: return $evalfloat( W_BUBBLEGAMMO * 0.9 );
		case 100: return $evalfloat( W_BUBBLEGAMMO * 0.8 );
		case 150: return $evalfloat( W_BUBBLEGAMMO * 0.7 );
		default: return 5;
	}
}

weight "ammo_imperius"
{
	switch(INVENTORY_IMPERIUSAMMO)
	{
		case 1: return W_IMPERIUSAMMO;
		default: return 5;
	}
}
