// --------------------------------------------------------------------
//			Weapon Fuzzy Logik For WoP-Bot: Unzahm der Grausige
//
//								by Hectic
// --------------------------------------------------------------------


// load item descriptors
#include "inv.h"

// weapon usage weights
#define W_PUNCHY				50
#define W_PUMPER				65
#define W_NIPPER				40
#define W_BALLOONY				50
#define W_BETTY					50
#define W_SPLASHER				70
#define W_IMPERIUS				50
#define W_BOASTER				50
#define W_BUBBLEG				70

// fuzzy Punchy usage
weight "Punchy"
{
	switch(ENEMY_DIST)
	{
		case 10: return W_PUNCHY;
		default: return $evalfloat( W_PUNCHY * 0.1 );
	}
}

// fuzzy Pumper usage
weight "Pumper"
{
	switch(INVENTORY_PUMPER)
	{
		case 1: return 0;
		default:
		{
			switch(INVENTORY_PUMPERAMMO)
			{
				case 1: return 0;
				default:
				{
					switch(ENEMY_DIST)
					{
						case 10: return $evalfloat( W_PUMPER * 0.5 );
						case 1024: return W_PUMPER;
						default: return 0;
					}
				}
			}
		}
	}
}

weight "Balloony"
{
	switch(INVENTORY_BALLOONY)
	{
		case 1: return 0;
		default:
		{
			switch(INVENTORY_BALLOONYAMMO)
			{
				case 1: return 0;
				default:
				{
					switch(ENEMY_HEIGHT)
					{
						case 50:
						{
							switch(ENEMY_DIST)
							{
								case 50: return $evalfloat( W_BALLOONY * 0.5 );
								case 200: return $evalfloat( W_BALLOONY * 0.8 );
								case 800: return $evalfloat( W_BALLOONY * 1.0 );
								case 1000: return $evalfloat( W_BALLOONY * 0.5 );
								default: return $evalfloat( W_BALLOONY * 0.5 );	
							}
						}
						default: return 5;
					}
				}
			}
		}
	}
}

weight "Betty"
{
	switch(INVENTORY_BETTY)
	{
		case 1: return 0;
		default:
		{
			switch(INVENTORY_BETTYAMMO)
			{
				case 1: return 0;
				default:
				{
					switch(ENEMY_DIST)
					{
						case 50: return $evalfloat( W_BETTY * 0.5 );
						case 600: return $evalfloat( W_BETTY * 1.0 );
						case 1500: return $evalfloat( W_BETTY * 0.8 );
						default: return $evalfloat( W_BETTY * 0.5 );
					}
				}
			}
		}
	}
}

weight "Boaster"
{
	switch(INVENTORY_BOASTER)
	{
		case 1: return 0;
		default:
		{
			switch(INVENTORY_BOASTERAMMO)
			{
				case 1: return 0;
				default:
				{
					switch(ENEMY_DIST)
					{
						case 10: return $evalfloat( W_BOASTER * 0.5 );
						case 1024: return $evalfloat( W_BOASTER * 1.0 );
						default: return 0;
					}
				}
			}
		}
	}
}

weight "Splasher"
{
	switch(INVENTORY_SPLASHER)
	{
		case 1: return 0;
		default:
		{
			switch(INVENTORY_SPLASHERAMMO)
			{
				case 1: return 0;
				default:
				{
					switch(ENEMY_DIST)
					{
						case 10: return $evalfloat( W_SPLASHER * 0.5 );
						case 200: return $evalfloat( W_SPLASHER * 0.8 );
						default: return W_SPLASHER;
					}
				}
			}
		}
	}
}

weight "BubbleG"
{
	switch(INVENTORY_BUBBLEG)
	{
		case 1: return 0;
		default:
		{
			switch(INVENTORY_BUBBLEGAMMO)
			{
				case 1: return 0;
				default:
				{
					switch(ENEMY_DIST)
					{
						case 10: return $evalfloat( W_BUBBLEG * 0.5 );
						case 1500: return $evalfloat( W_BUBBLEG * 1.0 );
						default: return $evalfloat( W_BUBBLEG * 0.8 );
					}
				}
			}
		}
	}
}

weight "Imperius"
{
	switch(INVENTORY_IMPERIUS)
	{
		case 1: return 0;
		default:
		{
			switch(INVENTORY_IMPERIUSAMMO)
			{
				case 1: return 0;
				default:
				{
					switch(ENEMY_DIST)
					{
						case 500: return $evalfloat( W_IMPERIUS * 0.5 );
						case 1000: return $evalfloat( W_IMPERIUS * 0.8 );
						default: return W_IMPERIUS;
					}
				}
			}
		}
	}
}

weight "Nipper"
{
	switch(INVENTORY_NIPPER)
	{
		case 1: return 0;
		default:
		{
			switch(INVENTORY_NIPPERAMMO)
			{
				case 1: return 0;
				default:
				{
					switch(ENEMY_DIST)
					{
						case 50: return $evalfloat( W_NIPPER * 0.5 );
						case 1500: return $evalfloat( W_NIPPER * 1.0 );
						default: return $evalfloat( W_NIPPER * 0.5 );
					}
				}
			}
		}
	}
}
